forked from airbytehq/airbyte
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
local kubernetes support (airbytehq#1254)
* initial attempt at generating local kube setup from docker compose * update current state * mounts not working * working mounts, failing cors * working UI * add remaining todos * update todos * A * use kustomize to select image versions * kube process builder factory * fix misalignment * don't allow any retries for requested jobs * fix log waiting and path handling * update todos * local volume handling * propagate return code correctly * update todos * update docs * fmt * add to docs * fix conflicting config file bug * fmt * delete unused file * remove comment * add job id and attempt as inputs * rename to WorkerEnvironment * fix example custom overlay * less trigger-happy docs * rename mounts * show local csv as not working in kube in the docs * use config maps for everything * fix paths * fix build * fix stripe integration test usage * fix papercups on kube
- Loading branch information
Showing
40 changed files
with
821 additions
and
74 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -1,3 +1,4 @@ | ||
* | ||
!Dockerfile | ||
!build | ||
!bin |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,36 @@ | ||
#!/usr/bin/env bash | ||
|
||
set -e | ||
|
||
JOB_YAML_PATH=$1 | ||
echo "JOB_YAML_PATH = $JOB_YAML_PATH" | ||
|
||
echo "Launch job..." | ||
kubectl apply -f "$JOB_YAML_PATH" | ||
|
||
JOB_NAME=$(grep airbyte-worker- < "$JOB_YAML_PATH" | cut -d " " -f4) | ||
echo "JOB_NAME = $JOB_NAME" | ||
JOB_UUID=$(kubectl get job "$JOB_NAME" -o "jsonpath={.metadata.labels.controller-uid}") | ||
echo "JOB_UUID = $JOB_UUID" | ||
POD_NAME=$(kubectl get po -l controller-uid="$JOB_UUID" -o name) | ||
echo "POD_NAME = $POD_NAME" | ||
|
||
echo "Waiting for pod to start and emitting logs..." | ||
while ! (kubectl logs "$POD_NAME" --follow --pod-running-timeout=1000m) | ||
do | ||
echo "Retrying..." | ||
done | ||
|
||
PHASE=$(kubectl get "$POD_NAME" --output="jsonpath={.status.phase}") | ||
echo "Phase of pod: $PHASE" | ||
|
||
if [[ "$PHASE" == "Failed" ]]; then | ||
echo "Failed: Exiting with code 1" | ||
exit 1 | ||
elif [[ "$PHASE" == "Unknown" ]]; then | ||
echo "Unknown: Exiting with code 1" | ||
exit 1 | ||
else | ||
echo "Success: Exiting code 0" | ||
exit 0 | ||
fi |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Oops, something went wrong.